View Issue Details

IDProjectCategoryView StatusLast Update
0011115LazarusWidgetsetpublic2011-07-04 20:31
ReporterDmitry Kolomiets Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.25 (SVN) 
Summary0011115: Editable controls lose focus on Down\Up key press (GTK2)
DescriptionIf an editable control (TEdit,TMemo etc) is focused and I press Up or down key focus goes to prevouse or next control on form.
Tagsgtk2
Fixed in Revision31562
LazTarget1.2
WidgetsetGTK 2
Attached Files

Activities

Felipe Monteiro de Carvalho

2008-04-15 02:27

developer   ~0018800

This is the standard Gtk 2 behavior, just test any Gnome software.

Also it doesn't apply to TMemo, only TEdit. Do you have a specific reason not to desire it?

Paul Ishenin

2008-04-15 07:13

manager   ~0018807

I already asked a question on devlist weak ago, but nobody answered.

Felipe Monteiro de Carvalho

2008-04-16 18:46

developer   ~0018871

Documented here:

http://wiki.lazarus.freepascal.org/GTK2_Interface#Up.2FDown_key_navigation_between_TEdits

Alexander Koblov

2008-04-24 09:29

reporter   ~0019048

This also happen with TDrawGrid control. That is very inconvenient.

Zeljan Rikalo

2011-07-04 20:31

developer   ~0049660

Please test and close if ok.

Issue History

Date Modified Username Field Change
2008-04-08 08:44 Dmitry Kolomiets New Issue
2008-04-08 08:44 Dmitry Kolomiets Widgetset => GTK 2
2008-04-08 09:01 Vincent Snijders LazTarget => 1.2
2008-04-08 09:01 Vincent Snijders Status new => acknowledged
2008-04-12 12:50 Felipe Monteiro de Carvalho Tag Attached: gtk2
2008-04-15 02:27 Felipe Monteiro de Carvalho Note Added: 0018800
2008-04-15 02:27 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2008-04-15 02:27 Felipe Monteiro de Carvalho Status acknowledged => feedback
2008-04-15 07:13 Paul Ishenin Note Added: 0018807
2008-04-16 18:46 Felipe Monteiro de Carvalho Note Added: 0018871
2008-04-24 09:29 Alexander Koblov Note Added: 0019048
2008-05-08 02:47 Felipe Monteiro de Carvalho Status feedback => confirmed
2009-02-04 21:52 Felipe Monteiro de Carvalho Assigned To Felipe Monteiro de Carvalho =>
2011-07-04 20:31 Zeljan Rikalo Fixed in Revision => 31562
2011-07-04 20:31 Zeljan Rikalo Status confirmed => resolved
2011-07-04 20:31 Zeljan Rikalo Resolution open => fixed
2011-07-04 20:31 Zeljan Rikalo Assigned To => Zeljan Rikalo
2011-07-04 20:31 Zeljan Rikalo Note Added: 0049660